//Решение задач по заказу
function Logs=solvingCustomTaskLogFile(messageServerIP,..//IP сервера обмена сообщениями
                                       messageServerPort,..//Порт обмена сообщениями
                                       dateMessagePointName,..//Точка обмена сообщениями, через которую обмениваемся получаем данными
                                       sendOutputDateAdresatMessagePointName,..//Точка обмена сообщениями адресата, на которую мы отправляем ответ адресату
                                       fNeedExit..//Функция необходимости выхода из сервера задач
                                       )
    //Восполняем недостающие аргументы
    if argn(2) < 5 then
        fNeedExit = [];
    end
    
    //Запускаем задачу
    Logs = solvingCustomTask(messageServerIP,..//IP сервера обмена сообщениями
                             messageServerPort,..//Порт обмена сообщениями
                             dateMessagePointName,..//Точка обмена сообщениями, через которую обмениваемся получаем данными
                             sendOutputDateAdresatMessagePointName,..//Точка обмена сообщениями адресата, на которую мы отправляем ответ адресату
                             fNeedExit..//Функция необходимости выхода из сервера задач
                             );
                                  
    //Сохраняем лог в файл
    mputl(Logs, fullfile(SCIHOME,'logs','log.txt'));
endfunction
